<?php
$_SERVER['DOCUMENT_ROOT'] = '/usr/local/gesa/public_html/';
require_once '/usr/local/gesa/public_html/gesa.conf.php';
require_once '/usr/local/gesa/public_html/Model_gesa.php';

$ifsArray = shell_exec('ip -a -j addr');
if(!empty($ifsArray))
{
	$interfacesList = array();
	$ifsArray = json_decode($ifsArray, TRUE);
	$index='mgmt';
	$gesa = Model_gesa::instanceGESA();
	$gesa = Model_gesa::setGESANetworkCommon($gesa);
	foreach($ifsArray as $iface)
	{
		if($iface['link_type'] != 'loopback' && !preg_match('/docker/i', $iface['ifname']))
		{
			if(empty($interfacesList))
			{
				//interface est vide donc on génère la première de management
				$interfacesList['mgmt'] = array(
		            'label' => 'MGMT',
		            'type' => 'MGMT',
		            'index' => $iface['ifindex'],
		            'name' => $iface['ifname'],
		            'mac' => $iface['address'],
		            'ip_addr' => $gesa->getLocalIPaddress(),
		            'netmask' => $iface['addr_info'][0]['prefixlen'], // Netmask as CIDR ['addr_info'][0] for ipv4
		            'gateway' => $gesa->getGateway(),
		            'dns' => implode(',', $gesa->getDNS()),
		             "dhcp"=> false
            		);
			}
			else
			{
				$interfacesList[$iface['ifindex']] = array(
		            'label' => 'USER',
		            'type' => 'User',
		            'index' => $iface['ifindex'],
		            'name' => $iface['ifname'],
		            'mac' => $iface['address'],
		            'ip_addr' => $iface['addr_info'][0]['local'],
		            'netmask' => $iface['addr_info'][0]['prefixlen'], // Netmask as CIDR ['addr_info'][0] for ipv4
		            'gateway' => '',
		            'dns' =>'',
		            "dhcp"=> false
            		);
			}
		}
	}
	$netConfFilePath = $_SERVER['DOCUMENT_ROOT']. DATA_DIR . NETWORK_CONF_FILE;
	setJsonConfFile($netConfFilePath, $interfacesList);
}

?>
