# Install & conf apache
``` bash
apt install apache2 libapache2-mod-php7.3
cp /usr/local/gesa/public_html/dev/gesa.conf /etc/apache2/sites-available/gesa.conf
```

# Add user esia mdp gesa
``` bash
useradd esia
passwd esia
gesa
```

# Give web acces write to /home/esia
``` bash
usermod -a -G esia www-data
chmod g+w /home/esia/
```

# Copy default configuration files for protocols
``` bash
cp /usr/local/gesa/public_html/dev/default_conf_files/* /home/esia/
```

# Hardware GESA SN insert script for Artemis
``` bash
mkdir -p /home/techesia/.ssh
cp /usr/local/gesa/public_html/dev/.ssh/authorized_keys /home/techesia/.ssh/authorized_keys
chown techesia:techesia /home/techesia/.ssh/authorized_keys
chmod 600 /home/techesia/.ssh/authorized_keys
cp /usr/local/gesa/public_html/dev/insertSN.sh /home/techesia/insertSN.sh
chown root:root /home/techesia/insertSN.sh
chmod 750 /home/techesia/insertSN.sh
```
