#!/bin/bash
scriptname=$(basename $0)
currentdir=$(dirname $0)
#[[ -z $1 ]] && echo "Login parameter is missing. Usage is $scriptname <login> <oldpass> <newpass>" && exit 1
[[ -z $1 ]] && echo "Old Password parameter is missing. Usage is $scriptname <oldpass> <newpass>" && exit 1
[[ -z $2 ]] && echo "New Password parameter is missing. Usage is $scriptname <oldpass> <newpass>" && exit 1

login=esia
oldpass=$1
newpass=$2

if [ "$oldpass" == "$newpass" ]; then
	echo "old and new password are same"
	exit 0
fi

$currentdir/authenticate.sh $login $oldpass > /tmp/$scriptname.out
if [ $? -ne 0 ]; then
	echo -n "Can't verify old password - " 
	cat /tmp/$scriptname.out
#	rm /tmp/$scriptname.out
	exit 1
fi 
echo "$login:$newpass" | chpasswd 2>&1 || exit 1
$currentdir/authenticate.sh $login $newpass
if [ $? -ne 0 ]; then
	echo "New password doesn't work"
	exit 1
fi

echo "$login password updated"
exit 0
